<?php

namespace Fufle\ORM\Database\Connectors;

use Fufle\ORM\Database\Credentials;
use Fufle\ORM\Database\ConnectionManager;

class PostgresConnector implements IConnector {
    public function getConnectionString(Credentials $c) {
        return "pgsql:host={$c->host};port={$c->port};dbname={$c->database};user={$c->user};password={$c->password}";
    }
    public function driverEquals(string $driver) {
        return $driver === 'pgsql';
    }
    
    public static function Connect(string $host, int $port, string $database, string $user, string $password) {
        ConnectionManager::RegisterConnector(new PostgresConnector());
        ConnectionManager::Connect('pgsql', $host, $port, $database, $user, $password);
    }
}